Subject: Re: [PATCH v4 0/9] midx: prevent bitmap corruption when permuting pack order

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 26 Jan 2022 18:50:27 +0100

On Tue, Jan 25 2022, Taylor Blau wrote:

> Here is a(n even) small(er) reroll of my series which fixes a serious problem
> with MIDX bitmaps by which they can become corrupt when permuting their pack
> order.
>
> The only change is to revert back to using finalize_object_file(), since it
> behaves consistently with other parts of the code that touch $GIT_DIR/objects.
> This is safe to do given the other change described in that patch. The
> description has been updated slightly to reflect.
>
> A minor tweak to the tests is done towards the end of the series. But otherwise
> this is unchanged from v3.
>
> It is prepared on the tip of master (which is 89bece5c8c at the time of
> writing).

I gave this some light reading earlier, and left a few nit-y comments
along the way. This isn't my area of expertise, but without giving it
much of a deep look this all looked good to me.

I don't see a reason not to carry this forward, with or without
addressing any of the nits I brought up.

Thanks for working on this.